/*
 * Experimental Connected Vehicle API
 * An experimental Connected Vehicle API that allows to request vehicle data and to send commands to the virtual car simulator.
 *
 * OpenAPI spec version: 1.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.swagger.client.model;

import java.util.Objects;
import java.util.Arrays;
import com.google.gson.TypeAdapter;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.annotations.SerializedName;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.client.model.TirePressureStatus;
import java.io.IOException;

/**
 * Tires
 */
public class Tires {
  @SerializedName("tirepressurefrontleft")
  private TirePressureStatus tirepressurefrontleft = null;

  @SerializedName("tirepressurefrontright")
  private TirePressureStatus tirepressurefrontright = null;

  @SerializedName("tirepressurerearleft")
  private TirePressureStatus tirepressurerearleft = null;

  @SerializedName("tirepressurerearright")
  private TirePressureStatus tirepressurerearright = null;

  public Tires tirepressurefrontleft(TirePressureStatus tirepressurefrontleft) {
    this.tirepressurefrontleft = tirepressurefrontleft;
    return this;
  }

   /**
   * Get tirepressurefrontleft
   * @return tirepressurefrontleft
  **/
  @ApiModelProperty(value = "")
  public TirePressureStatus getTirepressurefrontleft() {
    return tirepressurefrontleft;
  }

  public void setTirepressurefrontleft(TirePressureStatus tirepressurefrontleft) {
    this.tirepressurefrontleft = tirepressurefrontleft;
  }

  public Tires tirepressurefrontright(TirePressureStatus tirepressurefrontright) {
    this.tirepressurefrontright = tirepressurefrontright;
    return this;
  }

   /**
   * Get tirepressurefrontright
   * @return tirepressurefrontright
  **/
  @ApiModelProperty(value = "")
  public TirePressureStatus getTirepressurefrontright() {
    return tirepressurefrontright;
  }

  public void setTirepressurefrontright(TirePressureStatus tirepressurefrontright) {
    this.tirepressurefrontright = tirepressurefrontright;
  }

  public Tires tirepressurerearleft(TirePressureStatus tirepressurerearleft) {
    this.tirepressurerearleft = tirepressurerearleft;
    return this;
  }

   /**
   * Get tirepressurerearleft
   * @return tirepressurerearleft
  **/
  @ApiModelProperty(value = "")
  public TirePressureStatus getTirepressurerearleft() {
    return tirepressurerearleft;
  }

  public void setTirepressurerearleft(TirePressureStatus tirepressurerearleft) {
    this.tirepressurerearleft = tirepressurerearleft;
  }

  public Tires tirepressurerearright(TirePressureStatus tirepressurerearright) {
    this.tirepressurerearright = tirepressurerearright;
    return this;
  }

   /**
   * Get tirepressurerearright
   * @return tirepressurerearright
  **/
  @ApiModelProperty(value = "")
  public TirePressureStatus getTirepressurerearright() {
    return tirepressurerearright;
  }

  public void setTirepressurerearright(TirePressureStatus tirepressurerearright) {
    this.tirepressurerearright = tirepressurerearright;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Tires tires = (Tires) o;
    return Objects.equals(this.tirepressurefrontleft, tires.tirepressurefrontleft) &&
        Objects.equals(this.tirepressurefrontright, tires.tirepressurefrontright) &&
        Objects.equals(this.tirepressurerearleft, tires.tirepressurerearleft) &&
        Objects.equals(this.tirepressurerearright, tires.tirepressurerearright);
  }

  @Override
  public int hashCode() {
    return Objects.hash(tirepressurefrontleft, tirepressurefrontright, tirepressurerearleft, tirepressurerearright);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Tires {\n");
    
    sb.append("    tirepressurefrontleft: ").append(toIndentedString(tirepressurefrontleft)).append("\n");
    sb.append("    tirepressurefrontright: ").append(toIndentedString(tirepressurefrontright)).append("\n");
    sb.append("    tirepressurerearleft: ").append(toIndentedString(tirepressurerearleft)).append("\n");
    sb.append("    tirepressurerearright: ").append(toIndentedString(tirepressurerearright)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

